OpenJPEG: opj_malloc.h File Reference

OpenJPEG 2.5.3

opj_malloc.h File Reference

Internal functions. More...

`#include <stddef.h>`

Go to the source code of this file.

## Functions
Exported functions
void * | opj_malloc (size_t size)
| Allocate an uninitialized memory block.
void * | opj_calloc (size_t numOfElements, size_t sizeOfElements)
| Allocate a memory block with elements initialized to 0.
void * | opj_aligned_malloc (size_t size)
| Allocate memory aligned to a 16 byte boundary.
void * | opj_aligned_realloc (void *ptr, size_t size)
void | opj_aligned_free (void *ptr)
void * | opj_aligned_32_malloc (size_t size)
| Allocate memory aligned to a 32 byte boundary.
void * | opj_aligned_32_realloc (void *ptr, size_t size)
void * | opj_realloc (void *m, size_t s)
| Reallocate memory blocks.
void | opj_free (void *m)
| Deallocates or frees a memory block.

## Detailed Description

Internal functions.

The functions in opj_malloc.h are internal utilities used for memory management.

## Function Documentation

## ◆ opj_aligned_32_malloc()

void * opj_aligned_32_malloc | ( | size_t | size | ) |

Allocate memory aligned to a 32 byte boundary.

Parameters

  size | Bytes to allocate

Returns
  Returns a void pointer to the allocated space, or NULL if there is insufficient memory available

References opj_aligned_alloc_n().

Referenced by opj_dwt_decode_partial_tile(), opj_dwt_decode_tile(), and opj_dwt_encode_procedure().

## ◆ opj_aligned_32_realloc()

void * opj_aligned_32_realloc | ( | void * | ptr,
|  | size_t | size )

References opj_aligned_realloc_n().

## ◆ opj_aligned_free()

void opj_aligned_free | ( | void * | ptr | ) |

Referenced by opj_dwt97_decode_h_func(), opj_dwt97_decode_v_func(), opj_dwt_decode_h_func(), opj_dwt_decode_partial_97(), opj_dwt_decode_partial_tile(), opj_dwt_decode_tile(), opj_dwt_decode_tile_97(), opj_dwt_decode_v_func(), opj_dwt_encode_h_func(), opj_dwt_encode_procedure(), opj_dwt_encode_v_func(), opj_image_data_free(), opj_t1_allocate_buffers(), opj_t1_allocate_buffers(), opj_t1_clbl_decode_processor(), opj_t1_decode_cblks(), opj_t1_destroy(), opj_tcd_code_block_dec_allocate(), and opj_tcd_code_block_dec_deallocate().

## ◆ opj_aligned_malloc()

void * opj_aligned_malloc | ( | size_t | size | ) |

Allocate memory aligned to a 16 byte boundary.

Parameters

  size | Bytes to allocate

Returns
  Returns a void pointer to the allocated space, or NULL if there is insufficient memory available

References opj_aligned_alloc_n().

Referenced by opj_dwt_decode_partial_97(), opj_dwt_decode_tile_97(), opj_image_data_alloc(), opj_t1_allocate_buffers(), opj_t1_allocate_buffers(), and opj_t1_clbl_decode_processor().

## ◆ opj_aligned_realloc()

void * opj_aligned_realloc | ( | void * | ptr,
|  | size_t | size )

References opj_aligned_realloc_n().

## ◆ opj_calloc()

void * opj_calloc | ( | size_t | numOfElements,
|  | size_t | sizeOfElements )

Allocate a memory block with elements initialized to 0.

Parameters

  numOfElements | Blocks to allocate
  sizeOfElements | Bytes per block to allocate

Returns
  Returns a void pointer to the allocated space, or NULL if there is insufficient memory available

Referenced by gene_cachemodel(), init_jpipdecoder(), init_tilec(), j2k_get_cstr_index(), j2k_get_cstr_info(), opj_create_compress(), opj_create_decompress(), opj_image_create(), opj_image_create0(), opj_image_tile_create(), opj_j2k_allocate_tile_element_cstr_index(), opj_j2k_build_tp_index_from_tlm(), opj_j2k_check_poc_val(), opj_j2k_create_compress(), opj_j2k_create_cstr_index(), opj_j2k_create_decompress(), opj_j2k_read_ppm(), opj_j2k_read_ppt(), opj_j2k_read_siz(), opj_j2k_read_sot(), opj_j2k_set_decoded_components(), opj_j2k_setup_encoder(), opj_jp2_check_color(), opj_jp2_create(), opj_jp2_read_colr(), opj_jp2_read_ftyp(), opj_jp2_read_header_procedure(), opj_jp2_read_ihdr(), opj_jp2_write_bpcc(), opj_jp2_write_colr(), opj_jp2_write_ftyp(), opj_jp2_write_ihdr(), opj_pi_create(), opj_pi_create_decode(), opj_pi_initialise_encode(), opj_procedure_list_create(), opj_sparse_array_int32_create(), opj_sparse_array_int32_read_or_write(), opj_stream_create(), opj_t1_create(), opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_t2_create(), opj_tcd_code_block_dec_allocate(), opj_tcd_code_block_enc_allocate(), opj_tcd_create(), opj_tcd_decode_tile(), opj_tcd_encode_tile(), opj_tcd_init(), opj_tcd_marker_info_create(), opj_tgt_create(), opj_thread_pool_create(), opj_thread_pool_setup(), opj_tls_new(), opj_write_cidx(), opj_write_phix(), opj_write_ppix(), opj_write_thix(), and parse_comps().

## ◆ opj_free()

void opj_free | ( | void * | m | ) |

Deallocates or frees a memory block.

Parameters

  m | Previously allocated memory block to be freed

Referenced by add_body_stream(), add_emptyboxstream(), add_emptytilestream(), add_EOC(), add_msgstream(), add_padding(), add_SOTmkr(), aux_streaming(), check_JP2boxidx(), delete_auxresponse(), delete_cachemodel(), delete_cachemodellist(), delete_channel(), delete_channellist(), delete_COD(), delete_index(), delete_message_in_msgqueue(), delete_msgqueue(), delete_query(), delete_session(), delete_sessionlist(), delete_target(), delete_targetlist(), destroy_jpipdecoder(), fread_jpip(), free_tilec(), get_index_from_JP2file(), get_SIZ_from_jpipstream(), handle_CIDreqMSG(), handle_dstCIDreqMSG(), handle_JP2saveMSG(), handle_JPIPstreamMSG(), handle_PNMreqMSG(), handle_SIZreqMSG(), handle_TIDreqMSG(), handle_XMLreqMSG(), identify_cid(), j2k_destroy_cstr_index(), j2k_get_cstr_index(), jpipstream_to_pnm(), open_jp2file(), opj_bio_destroy(), opj_copy_image_header(), opj_create_compress(), opj_create_decompress(), opj_destroy_codec(), opj_destroy_cstr_info(), opj_dwt97_decode_h_func(), opj_dwt97_decode_v_func(), opj_dwt_decode_h_func(), opj_dwt_decode_tile(), opj_dwt_decode_tile_97(), opj_dwt_decode_v_func(), opj_dwt_encode_h_func(), opj_dwt_encode_procedure(), opj_dwt_encode_v_func(), opj_image_destroy(), opj_j2k_add_mct(), opj_j2k_add_mhmarker(), opj_j2k_add_tlmarker(), opj_j2k_build_tp_index_from_tlm(), opj_j2k_check_poc_val(), opj_j2k_cp_destroy(), opj_j2k_create_cstr_index(), opj_j2k_decode_tiles(), opj_j2k_destroy(), opj_j2k_destroy_header_memory(), opj_j2k_encode(), opj_j2k_end_encoding(), opj_j2k_merge_ppm(), opj_j2k_merge_ppt(), opj_j2k_move_data_from_codec_to_output_image(), opj_j2k_read_header_procedure(), opj_j2k_read_mcc(), opj_j2k_read_mco(), opj_j2k_read_mct(), opj_j2k_read_sod(), opj_j2k_read_sot(), opj_j2k_read_tile_header(), opj_j2k_set_decoded_components(), opj_j2k_setup_encoder(), opj_j2k_setup_mct_encoding(), opj_j2k_tcp_data_destroy(), opj_j2k_tcp_destroy(), opj_j2k_write_cbd(), opj_j2k_write_coc(), opj_j2k_write_cod(), opj_j2k_write_com(), opj_j2k_write_mcc_record(), opj_j2k_write_mco(), opj_j2k_write_mct_record(), opj_j2k_write_poc(), opj_j2k_write_qcc(), opj_j2k_write_qcd(), opj_j2k_write_siz(), opj_j2k_write_sod(), opj_j2k_write_tlm(), opj_jp2_apply_cdef(), opj_jp2_apply_pclr(), opj_jp2_check_color(), opj_jp2_destroy(), opj_jp2_free_pclr(), opj_jp2_read_cdef(), opj_jp2_read_header_procedure(), opj_jp2_read_pclr(), opj_jp2_write_ftyp(), opj_jp2_write_jp2h(), opj_matrix_inversion_f(), opj_mct_decode_custom(), opj_mct_encode_custom(), opj_pi_create_decode(), opj_pi_destroy(), opj_pi_initialise_encode(), opj_procedure_list_add_procedure(), opj_procedure_list_create(), opj_procedure_list_destroy(), opj_sparse_array_int32_create(), opj_sparse_array_int32_free(), opj_stream_create(), opj_stream_destroy(), opj_t1_cblk_encode_processor(), opj_t1_clbl_decode_processor(), opj_t1_destroy(), opj_t2_decode_packets(), opj_t2_destroy(), opj_tcd_code_block_dec_deallocate(), opj_tcd_code_block_enc_allocate_data(), opj_tcd_code_block_enc_deallocate(), opj_tcd_create(), opj_tcd_decode_tile(), opj_tcd_destroy(), opj_tcd_free_tile(), opj_tcd_init_tile(), opj_tcd_marker_info_destroy(), opj_tcd_mct_decode(), opj_tcd_mct_encode(), opj_tgt_create(), opj_tgt_destroy(), opj_thread_pool_create(), opj_thread_pool_destroy(), opj_thread_pool_get_next_job(), opj_thread_pool_submit_job(), opj_tls_destroy(), opj_worker_thread_function(), opj_write_cidx(), opj_write_phix(), opj_write_ppix(), opj_write_thix(), parse_jp2file(), recons_jp2(), recv_ack(), set_cidxdata(), set_cptrdata(), set_mainmhixdata(), set_ppixdata(), set_thixdata(), set_tpixdata(), terminate_dec_server(), and update_JPIPstream().

## ◆ opj_malloc()

void * opj_malloc | ( | size_t | size | ) |

Allocate an uninitialized memory block.

Parameters

  size | Bytes to allocate

Returns
  Returns a void pointer to the allocated space, or NULL if there is insufficient memory available

Referenced by add_emptyboxstream(), add_emptytilestream(), add_EOC(), add_msgstream(), add_padding(), add_SOTmkr(), aux_streaming(), enqueue_mainheader(), enqueue_precinct(), enqueue_tile(), enqueue_tileheader(), fread_jpip(), gene_auxresponse(), gene_cachemodel(), gene_cachemodellist(), gene_channel(), gene_channellist(), gene_emptytilestream(), gene_metamsg(), gene_msgqueue(), gene_msgstream(), gene_session(), gene_sessionlist(), gene_target(), gene_targetlist(), get_CODmkrdata_from_j2kstream(), get_index_from_JP2file(), get_initquery(), get_SIZ_from_jpipstream(), handle_XMLreqMSG(), init_dec_server(), init_tilec(), j2k_get_cstr_index(), open_jp2file(), opj_bio_create(), opj_copy_image_header(), opj_dwt_decode_tile(), opj_dwt_decode_tile_97(), opj_dwt_encode_procedure(), opj_j2k_add_mct(), opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_create_compress(), opj_j2k_decode_tiles(), opj_j2k_merge_ppm(), opj_j2k_merge_ppt(), opj_j2k_move_data_from_codec_to_output_image(), opj_j2k_read_cod(), opj_j2k_read_mct(), opj_j2k_read_ppm(), opj_j2k_read_ppt(), opj_j2k_read_sod(), opj_j2k_set_decoded_components(), opj_j2k_setup_encoder(), opj_j2k_setup_mct_encoding(), opj_j2k_update_rates(), opj_j2k_write_sod(), opj_jp2_apply_pclr(), opj_jp2_read_cdef(), opj_jp2_read_cmap(), opj_jp2_read_colr(), opj_jp2_read_pclr(), opj_jp2_setup_encoder(), opj_jp2_write_cdef(), opj_matrix_inversion_f(), opj_mct_decode_custom(), opj_mct_encode_custom(), opj_pi_create_decode(), opj_pi_initialise_encode(), opj_set_MCT(), opj_stream_create(), opj_t2_decode_packets(), opj_t2_encode_packets(), opj_tcd_code_block_enc_allocate_data(), opj_tcd_decode_tile(), opj_tcd_init_tile(), opj_tcd_mct_decode(), opj_tcd_mct_encode(), opj_tcd_rateallocate(), opj_thread_pool_get_next_job(), opj_thread_pool_submit_job(), parse_jp2file(), parse_JPIPstream(), parse_phld(), set_CODmkrdata(), set_ppixdata(), set_thixdata(), and update_JPIPstream().

## ◆ opj_realloc()

void * opj_realloc | ( | void * | m,
|  | size_t | s )

Reallocate memory blocks.

Parameters

  m | Pointer to previously allocated memory block
  s | New size in bytes

Returns
  Returns a void pointer to the reallocated (and possibly moved) memory block

Referenced by opj_j2k_add_mhmarker(), opj_j2k_add_tlmarker(), opj_j2k_encode(), opj_j2k_read_header_procedure(), opj_j2k_read_mcc(), opj_j2k_read_mct(), opj_j2k_read_ppm(), opj_j2k_read_ppt(), opj_j2k_read_sod(), opj_j2k_read_sot(), opj_j2k_read_tile_header(), opj_j2k_read_tlm(), opj_j2k_setup_mct_encoding(), opj_j2k_write_cbd(), opj_j2k_write_coc(), opj_j2k_write_cod(), opj_j2k_write_com(), opj_j2k_write_mcc_record(), opj_j2k_write_mco(), opj_j2k_write_mct_record(), opj_j2k_write_poc(), opj_j2k_write_qcc(), opj_j2k_write_qcd(), opj_j2k_write_siz(), opj_j2k_write_tlm(), opj_jp2_read_header_procedure(), opj_procedure_list_add_procedure(), opj_t1_decode_cblk(), opj_t1_ht_decode_cblk(), opj_t2_init_seg(), opj_t2_read_packet_data(), opj_tcd_init_tile(), opj_tgt_init(), and opj_tls_set().